import '/backend/api_requests/api_calls.dart';
import '/flutter_flow/flutter_flow_util.dart';
import 'forgot_password_template_component_widget.dart'
    show ForgotPasswordTemplateComponentWidget;
import 'package:flutter/material.dart';

class ForgotPasswordTemplateComponentModel
    extends FlutterFlowModel<ForgotPasswordTemplateComponentWidget> {
  ///  State fields for stateful widgets in this component.

  // State field(s) for emailAddress widget.
  FocusNode? emailAddressFocusNode;
  TextEditingController? emailAddressTextController;
  String? Function(BuildContext, String?)? emailAddressTextControllerValidator;
  // Stores action output result for [Backend Call - API (forgotPassword)] action in Button-Login widget.
  ApiCallResponse? req;

  @override
  void initState(BuildContext context) {}

  @override
  void dispose() {
    emailAddressFocusNode?.dispose();
    emailAddressTextController?.dispose();
  }
}
